package edu.mit.ll.group43.surfaceoptimization.aircraft;

/**
 * Interface to be implemented by classes that calculate the minimum
 * separation time between two aircraft based on their weight class
 * and action type (departure, arrival, or arrival crossing).
 * 
 * @author William Hawkins
 *
 * @param <T>
 */
public interface MinimumSeparationCalculator<T extends WeightClass> {

	public enum ActionType {
		DEPARTURE, ARRIVAL, CROSSING
	}
	
	public int getSeparation(WeightClass weightClass, ActionType a1, WeightClass weightClass2, ActionType a2);
	
}
