package edu.mit.ll.group43.surfaceoptimization.dp.factory.node;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.network.dp.CPSNetworkNode;
import edu.mit.ll.group43.surfaceoptimization.network.dp.Subsequence;

/**
 * Interface for factories that generate CPSNetworkNodes. These
 * factories abstract the creation of CPS network nodes, whose
 * variants can be used in combination with edge and cost
 * strategies that implement more complicated algorithms that
 * rely on additional features provided in subclasses of
 * CPSNetworkNode.
 * 
 * @author William Hawkins
 *
 */
public interface CPSNetworkNodeFactory {

	/**
	 * Creates and returns a CPSNetworkNode that represents the
	 * given subsequence of Aircraft.
	 * 
	 * @param seq
	 * @return
	 */
	public CPSNetworkNode getCPSNetworkNode(Subsequence<Aircraft> seq);
}
