package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Measurer that determines the longest delay that any one aircraft
 * from the given sequence experiences at the runway.
 * 
 * @author William Hawkins
 *
 */
public class RunwayMaxDelayMeasurer implements Measurer {

	@Override
	public int measure(ArrayList<Aircraft> sequence)
			throws FileNotFoundException {
		ArrayList<Aircraft> takeoffSequence = MeasurementUtils.takeoffSequence(sequence);
		int[] takeoffs = MeasurementUtils.takeoffTimes(takeoffSequence);
		
		int largest = takeoffs[0] - takeoffSequence.get(0).getRunwayReadyTime();
		for (int i = 0; i < takeoffs.length; i ++) {
			int delay = takeoffs[i] - takeoffSequence.get(i).getRunwayReadyTime();
			if (delay > largest) {
				largest = delay;
			}
		}
		
		return largest;
	}

}
