package edu.mit.ll.group43.surfaceoptimization.output;

import java.io.FileNotFoundException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Outputs statistics about the optimization in plain text form.
 * 
 * @author William Hawkins
 *
 */
public class PlainTextOutput extends ResultsOutput {

	PrintWriter writer;
	
	@Override
	public void output(OutputStream os, ArrayList<Aircraft> sequence) throws FileNotFoundException {
		
		writer = new PrintWriter(os, true);
		
		writer.println("Spot Delay:\t" + spotDelay(sequence) + " seconds");
		writer.println("Spot Max Delay:\t" + spotMaxDelay(sequence) + " seconds");
		writer.println("Runway Delay:\t" + runwayDelay(sequence) + " seconds");
	}

}
